stringprep_ucs4_nfkc_normalize(3)

NAME
stringprep_ucs4_nfkc_normalize - API function

SYNOPSIS
#include <stringprep.h>

uint32_t * stringprep_ucs4_nfkc_normalize(uint32_t * str, ssize_t len);

ARGUMENTS

uint32_t * str
    a Unicode string.

ssize_t len
    length of str array, or -1 if str is nul-terminated.

DESCRIPTION
Converts UCS4 string into UTF-8 and runs stringprep_utf8_nfkc_normalize().

RETURN VALUE
a newly allocated Unicode string, that is the NFKC normalized form of str.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.